Page MenuHomePhabricator

[AVX512] add vfmadd132ss and vfmadd132sd Intrinsic
ClosedPublic

Authored by m_zuckerman on Jan 26 2016, 9:59 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

m_zuckerman retitled this revision from to [AVX512] add vfmadd132ss and vfmadd132sd Intrinsic.
m_zuckerman updated this object.
m_zuckerman added reviewers: AsafBadouh, delena, igorb.
m_zuckerman added a subscriber: llvm-commits.
igorb added inline comments.Jan 26 2016, 10:26 AM
lib/Target/X86/X86ISelLowering.cpp
16846 ↗(On Diff #46006)

please fix indentation

m_zuckerman marked an inline comment as done.
igorb accepted this revision.Jan 27 2016, 12:56 AM
igorb edited edge metadata.

LGTM

This revision is now accepted and ready to land.Jan 27 2016, 12:56 AM
AsafBadouh added inline comments.Jan 27 2016, 1:55 AM
lib/Target/X86/X86ISelLowering.cpp
16846 ↗(On Diff #46112)

in the scalar version you always take this case and use "IntrWithRoundingModeOpcode". therefore, you always use "X86ISD::FMADD_RND".

lib/Target/X86/X86InstrAVX512.td
4672 ↗(On Diff #46112)

I think RM node should be with OpNodeRnd

lib/Target/X86/X86IntrinsicsInfo.h
27 ↗(On Diff #46112)

add space
maybe change SCA->SCALAR, to keep it consistent , or just S (like in FIXUPIMMS).

2061 ↗(On Diff #46112)

you never use X86ISD::FMADD for the intrinsics.
see comment in lib/Target/X86/X86ISelLowering.cpp line

m_zuckerman edited edge metadata.
m_zuckerman marked an inline comment as done.
m_zuckerman marked 2 inline comments as done.
AsafBadouh accepted this revision.Feb 2 2016, 1:20 AM
AsafBadouh edited edge metadata.

LGTM

delena accepted this revision.Feb 2 2016, 12:42 PM
delena edited edge metadata.

LGTM

lib/Target/X86/X86ISelLowering.cpp
16822 ↗(On Diff #46006)

FMA_OP_SCALAR_MASK_RM

This revision was automatically updated to reflect the committed changes.